Subject: RE: bug#39154: 27.0.60; Use character history in zap-up-to-char

From: Drew Adams <[email-masked]>
Date: Wed, 5 Feb 2020 13:10:40 -0800 (PST)

> >> do we have a similar command (as those pulling things into the
> >> search string) that pulls the region?
> >
> > Does `isearch-yank-kill' (`C-y') do what you want?
>
> That's true, in my case this works because I set
> `select-enable-primary' non-nil;

I kinda guessed that.  (Me too: I have non-nil
`select-enable-clipboard'.  There's also
`select-active-regions'.)

> quite similar, but not exactly the same thing:
> the command I am suggesting should work
> regardless on the user settings (ie, emacs -Q).

OK, but why?  Do you really see a use case for
a separate such thing for Isearch?  If a user
typically doesn't want mere selection to also
copy to the `kill-ring' or primary or whatever,
would she want a selection during Isearch to be
available for yanking?

I'm not objecting - just trying to understand
why we'd want both `isearch-yank-kill' and
what you propose.

---

On the other hand, because the secondary
selection is a different critter entirely from
the primary (clipboard...), a separate Isearch
yank command for it makes sense to me.

(I have it as `isearch-yank-secondary', and I
bind it to both `C-M-y' and `C-y 2' in Isearch.
I bind `isearch-yank-kill' to `C-y C-y'.)